Bug 501116 - Review Request: perl-HTML-CalendarMonthSimple - Perl Module for Generating HTML Calendars
Review Request: perl-HTML-CalendarMonthSimple - Perl Module for Generating HT...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 11:24 EDT by Xavier Bachelot
Modified: 2009-11-10 06:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-10 06:23:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-05-16 11:24:46 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-HTML-CalendarMonthSimple.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-HTML-CalendarMonthSimple-1.25-2.fc10.src.rpm
Description: HTML::CalendarMonthSimple is a Perl module for generating, manipulating, and printing a HTML calendar grid for a specified month. It is intended as a faster and easier-to-use alternative to HTML::CalendarMonth.
Comment 1 Xavier Bachelot 2009-05-16 11:30:16 EDT
I'm not sure of the license. Upstream says : " This Perl module is freeware. It may be copied, derived, used, and distributed without limitation." (http://search.cpan.org/~stigmata/HTML-CalendarMonthSimple-1.25/CalendarMonthSimple.pm#AUTHORS,_CREDITS,_COPYRIGHTS). I translated that to Public Domain.
Comment 2 Jason Tibbitts 2009-06-03 16:16:25 EDT
Honestly I don't know if "derived" legally permits modification or not, although it seems pretty obvious to me that's the intent.  I don't think it's public domain in any case, because I don't see anything relinquishing copyright.  I guess the legal folks can tell us with certainty.
Comment 3 Tom "spot" Callaway 2009-06-03 16:23:32 EDT
Not public domain, but all the right permissions are there. Mark it as:

License: Copyright only

and we'll be fine here. Lifting FE-Legal.
Comment 4 Jason Tibbitts 2009-06-03 16:47:38 EDT
OK, I'll just pretend the license is changed as above as I review this.  Just make the change when you check in.

* source files match upstream.  sha256sum:
   00cdd627996104df5cedee8e78596698917879b726263987d85b38d69d870c62  
   HTML-CalendarMonthSimple-1.25.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(HTML::CalendarMonthSimple) = 1.25
   perl-HTML-CalendarMonthSimple = 1.25-2.fc11
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Date::Calc)
   perl(strict)

* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 5 Xavier Bachelot 2009-06-03 16:58:32 EDT
Thanks for the review Tibbs.

New package, fixes the license :
Spec URL:
http://www.bachelot.org/fedora/SPECS/perl-HTML-CalendarMonthSimple.spec
SRPM URL:
http://www.bachelot.org/fedora/SRPMS/perl-HTML-CalendarMonthSimple-1.25-3.fc10.src.rpm

New Package CVS Request
=======================
Package Name: perl-HTML-CalendarMonthSimple
Short Description: Perl Module for Generating HTML Calendars
Owners: xavierb
Branches: F-10 F-11 EL-5
InitialCC: perl-sig
Comment 6 Jason Tibbitts 2009-06-04 12:15:59 EDT
Looks like this package already existed and CVS branches exist for it.  It's also in rawhide.  For some reason, though, it's not in any of the repositories.  That would explain why neither of us caught the problem.

I've added the package owner to the CC list for this ticket.

After changing the ownership for the existing branches back, the end result is that you own an EL-5 branch of the package.  Generally we want consent of package owner before making EL-5 branches, but it's a bit tough to undo so I hope nobody will mind.

However, we need to figure out why the package has never been pushed.  Andreas, if you simply have no interest in this package and want to relinquish is so that Xavier can get it in the distribution, I can take care of that.
Comment 7 Xavier Bachelot 2009-06-05 10:24:04 EDT
After discussion with ixs, I'll take co-maintainership on the package for all the active branches.

Package Change Request
======================
Package Name: perl-HTML-CalendarMonthSimple
Owners: ixs xavierb
Comment 8 Jason Tibbitts 2009-06-05 17:36:45 EDT
Andreas indicated to me in IRC that he should be the owner of the EL-5 branch and that you should be the comaintainer, so that's what I've set up.  If you want to be co-maintainer for the rest of the branches, just go to the pkgdb page and add yourself.  You don't need to make a CVS request for ownership changes like this.
Comment 9 Xavier Bachelot 2009-07-07 21:17:33 EDT
I had an issue with 'make update' on the EL-5 branch. This seems not to be a general, as I was able to 'make update' in the EL-5 branch for another package.

$ make update 
* Wed Jun 03 2009 Xavier Bachelot <xavier@bachelot.org> 1.25-5
- Change License: to Copyright only.
- Fix README file encoding.
- Preserve timestamp on converted files.
- Remove implicit BR: iconv.
Creating a new update for  perl-HTML-CalendarMonthSimple-1.25-5.el5
xavierb does not have commit access to perl-HTML-CalendarMonthSimple

Tibbs, can you take a look ?
Comment 10 Jason Tibbitts 2009-07-07 21:50:47 EDT
Not much I can do.  I can verify that you have commit access to the EL-5 branch, but that's about it.  Honestly I didn't realize that you even needed to use "make update" for EL branches.
Comment 11 Kevin Fenzi 2009-07-07 21:58:01 EDT
Looks like it might be an issue with bodhi using the 'rawhide' ownership for the EL branches to determine who can push updates. Luke is going to look at it tomorrow and hopefully get it fixed up.
Comment 12 Jason Tibbitts 2009-11-05 17:43:33 EST
Any reason this is still open?
Comment 13 Xavier Bachelot 2009-11-10 06:23:19 EST
No particular reason, was just forgotten. thanks for the head up, Jason.

Note You need to log in before you can comment on or make changes to this bug.